Package org.apache.uima.util.impl

# Class SerializationMeasures

java.lang.Object
org.apache.uima.util.impl.SerializationMeasures

public class SerializationMeasures extends Object
Structure: StatDetail str has neh for offset, length, dictionary hits/misses indexedFs has neh for diffs modHeap named, has neh for diffs, heap for values

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `SerializationMeasures.AllStatDetails`
  each instance of this class remembers a set of statDetail instances to do bulk operations against that set of the statistics
  `static class`
  `SerializationMeasures.StatDetail`
  Statistical details There's instances of this class for - the main heap - the aux heaps - the string offsets, the string lengths Heap: xxxx [name-of-delta: [Total: <TotalBytes>(negative%) Histo: a(neg%) b(neg%) c(neg%) d(neg%) e(neg%)]] 2 styles: one uses only one counter, no delta - used for byte, short, and long heaps other is for main heap, uses 4 deltas.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final SerializationMeasures.AllStatDetails`
  `allSlots`
  `int`
  `header`
  `long`
  `mainHeapFSs`
  `static final int`
  `MAX_NBR_ENCODE_LENGTH`
  `long`
  `origAuxByteArrayRefs`
  `long`
  `origAuxBytes`
  `long`
  `origAuxLongArrayRefs`
  `long`
  `origAuxLongs`
  `long`
  `origAuxShortArrayRefs`
  `long`
  `origAuxShorts`
  `final SerializationMeasures.StatDetail[]`
  `statDetails`
  `long`
  `stringsCommonChars`
  `int`
  `stringsNbrCommon`
  `long`
  `stringsSavedExact`
  `long`
  `stringsSavedSubstr`
  `final SerializationMeasures.AllStatDetails`
  `strSlots`
  `long`
  `totalTime`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SerializationMeasures()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accum(SerializationMeasures o)`
  accumulate results for multiple files
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MAX_NBR_ENCODE_LENGTH

    public static final int MAX_NBR_ENCODE_LENGTH
    See Also:
      - Constant Field Values

  - ### header

    public int header

  - ### origAuxByteArrayRefs

    public long origAuxByteArrayRefs

  - ### origAuxShortArrayRefs

    public long origAuxShortArrayRefs

  - ### origAuxLongArrayRefs

    public long origAuxLongArrayRefs

  - ### origAuxBytes

    public long origAuxBytes

  - ### origAuxShorts

    public long origAuxShorts

  - ### origAuxLongs

    public long origAuxLongs

  - ### mainHeapFSs

    public long mainHeapFSs

  - ### stringsNbrCommon

    public int stringsNbrCommon

  - ### stringsCommonChars

    public long stringsCommonChars

  - ### stringsSavedExact

    public long stringsSavedExact

  - ### stringsSavedSubstr

    public long stringsSavedSubstr

  - ### totalTime

    public long totalTime

  - ### statDetails

    public final SerializationMeasures.StatDetail[] statDetails

  - ### allSlots

    public final SerializationMeasures.AllStatDetails allSlots

  - ### strSlots

    public final SerializationMeasures.AllStatDetails strSlots

- ## Constructor Details

  - ### SerializationMeasures

    public SerializationMeasures()

- ## Method Details

  - ### accum

    public void accum(SerializationMeasures o)
    accumulate results for multiple files
    Parameters:
      `o` - -

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`